PHP-Version und angemeldete Benutzer

More
9 months 2 weeks ago #145429 by websven
websven created the topic: PHP-Version und angemeldete Benutzer
Hallo Forum,

mein Provider hat mich drauf aufmerksam gemacht, dass die verwendete PHP-Version (5.3) veraltet ist - kann ich umstellen, kein Problem.
Bei dieser Gelegenheit will ich gleich ein Comfort-Update von Version 2.06+ Build 151018 auf die aktuelle machen - nur finde ich nirgends, welche PHP-Version unterstützt wird - geht Version 7 ?

Noch ein Frage - kann man irgendwie feststellen, wer alle aktuell angemeldet ist - oder wäre dies bei einem Comfort-Update "egal" - wie lange dauert so ein Comfort-Update ?

Danke für die Antworten

Grüße Sven

Please Log in to join the conversation.

More
9 months 2 weeks ago #145430 by holch
holch replied the topic: PHP-Version und angemeldete Benutzer
Falsches Forum. Ich verschieb das mal ins deutsche Forum.

Comfortupdate dauert im Normal nicht lange. Das meiste ist eher Backup, Überprüfungen, etc. Das eigentlich Update geht meist recht flott.

Wie das mit angemeldeten Usern ist, kann ich dir nicht sagen. Ich stelle im Normalfall sicher, dass eben kein anderer eingeloggt ist. Ist aber bei mir kein grosses Ding, weil da nicht so viele Leute drauf arbeiten.

Versionen:
manual.limesurvey.org/Installation#Make_...rvey_on_your_website

Hier steht 5.3 oder später, das muss 7 miteinschliessen. Ich sehe da erstmal kein Problem.

Ich würde aber erstmal die Version 2.5 auf einem Testserver ausprobieren, denn da hat sich einiges verändert. Du solltest also sicherstellen, dass alles so funktioniert, wie du dir das vorstellst (z.B. werden höchstwahrscheinlich deine alten Templates nicht mehr funktionieren, etc.).

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in to join the conversation.

More
9 months 2 weeks ago #145437 by websven
websven replied the topic: PHP-Version und angemeldete Benutzer
Hallo holch,

danke für die Antwort. (Ich dachte, ich hätte im deutschen Forum gepostet :blush: )

Das Problem ist, dass ich Limsurvey selbst nicht kenne und nur für einen Bekannten installiert habe - und eben auch das Update mache. Viele Umfragen laufen auch nicht wirklich, aber ich wollte halt wissen, wie ich anmeldete Teilnehme sehen könnte.
Ich habe jetzt einen Hinweis auf bevorstehende Wartungsarbeiten auf die Anmeldeseite gesetzt, diese sollte innerhalb einer Woche jeder gelesen haben :-)

Wie muss ich mir das mit den Templates vorstellen ? Ich meine mich zu erinnern, dass es im letzten JAhr bei einem Update keine Probleme gab bzw. während des Updates auch darauf hingewiesen wurde, was bei den Templates zu ändern ist.

Ich stelle jetzt mal "sicherheitshalber" die PHP-Version auf 5.5 - und noch nicht 7, mal sehen, was passiert ....

Vorher mach ich natürlich ein Backup von allen Dateien - um zurück rudern zu können :silly:

Güße Sven

Please Log in to join the conversation.

More
9 months 2 weeks ago - 9 months 2 weeks ago #145439 by Joffm
Joffm replied the topic: PHP-Version und angemeldete Benutzer
Hallo, Sven,
ich habe php 7 auch noch nicht probiert.
Ich habe nämlich gemerkt, dass ich dafür ein anderes Programm ändern müsste. Daher arbeite ich jetzt mit php 5.6.
Das geht reibungslos.

Was die Templates angeht:
In den "alten" Versionen bis 2.06 waren sie tabellenbasiert.
Seit Version 2.50 basieren sie auf bootstrap und sind somit responsiver als die alten.
Hier in diesem Thread wird ja auch noch einmal darauf eingegangen.
https://www.limesurvey.org/forum/german-forum/107790-templateaufbau-version-2-0-vs-2-5

Wenn Du also "alte" stark modifizierte templates in den Studien benutzt, so würde ich diese Studien nicht auf 2.5x umstellen, sondern diese dort weiter- und auslaufen lassen.
Wie holch schon sagte: In einer - zunächst - Testinstallation kannst Du ja dann die neuen Templates ansehen, eventuell den Code alter Studien importieren und sehen, wie es läuft.

Viel Glück
Joffm
Last Edit: 9 months 2 weeks ago by Joffm. Reason: Typo

Please Log in to join the conversation.

More
9 months 2 weeks ago #145443 by holch
holch replied the topic: PHP-Version und angemeldete Benutzer
Wenn Du einfach ohne Absprache mit deinem Bekannten umstellst, kann es sein dass dein Bekannter nicht sehr erfreut ist.

2.5 ist ein echter Schnitt und die GUI und die Templates haben sich stark verändert. Also, vorher testen und besprechen, dann umstellen. Irgendwann musst du sowieso umstellen, weil der Support für die älteren Versionen ablaufen wird, aber wenn du von heute auf morgen umstellst, dann kann es eben zu einigen Startschwierigkeiten kommen die in einer produktiven Umgebung vielleicht nicht so gut angkommen.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds

Please Log in to join the conversation.

More
9 months 2 weeks ago #145446 by websven
websven replied the topic: PHP-Version und angemeldete Benutzer
Hallo Joffm (Frankfurt/Main?) und holch,

danke für die Infos - und ohne Absprache mit dem Bekannten mach ich sowieso nix. Ich glaube zwar nicht, dass er irgendwas an den Templates geändert hat - aber wissen tue ich es nicht. Und wenn es von tabellenbasiert auf bootstrap umgestellt sind kommt man wohl um eine Testversion nicht rum :dry:

Dann stelle ich jetzt wenigsten die PHP-Version auf 5.6 um, dann ist diese Sicherheitsproblem erst einmal gelöst - und werde dann eine Testversion einrichten.

Dazu eine blöde Frage - kann ich eine aktuelle Installation in eine zweite "spiegeln" - mit anderer Datenbank ? Wenn ja - wie mache ich das am einfachsten ? Dann könnte ich nämlich einfach nach "Eingewöhnungsphase" etc einfach das Ziel der Domain umswitchen ....

Danke und Grüße Sven

Please Log in to join the conversation.

More
9 months 2 weeks ago #145541 by Joffm
Joffm replied the topic: PHP-Version und angemeldete Benutzer
Hallo, websven,
ich weiß jetzt nicht, was Du genau mit "spiegeln" meinst.

Aber: Du kannst ja einfach die aktuelle Installation hinüberkopieren.
Kleines php-script mit "shell_exec("cp -r $source $dest");" sollte es tun.
Dann in der config noch die andere Datenbank eintrage; das sollte es gewesen sein.

Viele Grüße
Joffm

Please Log in to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now